Bug 99611 - improve function AND() documentation
Summary: improve function AND() documentation
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.1.0
Keywords:
Depends on:
Blocks: HelpGaps-NewFeatures
  Show dependency treegraph
 
Reported: 2016-05-01 17:24 UTC by Dennis Roczek
Modified: 2018-03-15 17:58 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dennis Roczek 2016-05-01 17:24:43 UTC
https://help.libreoffice.org/Calc/Logical_Functions#AND needs to mention that 0 and '' (empty string) is also considered as a FALSE statement.

Very likely these has to be mentioned at other logical functions
Comment 1 Buovjaga 2016-05-06 12:23:12 UTC
NEW.
Comment 2 Gilward Kukel 2017-01-26 22:33:33 UTC
I think the functions AND/OR behave like that:
0 is FALSE, all other numbers are TRUE.
Empty cells and text in cells are ignored.
If all arguments are ignored or there are no arguments, there is an error.
Text as a direct argument (not in a cell) leads to an error.
Errors as argument lead to an error.
Comment 3 Dennis Roczek 2017-03-01 15:09:36 UTC
@gilward: yes. Will add add it to the documentation, please?
Comment 4 Commit Notification 2018-03-14 10:49:58 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=781da1e8175459f27cca84bed2ca209b3e030067

tdf#99611 improve function AND() documentation